Missing Packages on RHEL 5

Stu Tomlinson stu at nosnilmot.com
Tue Oct 16 09:19:52 EDT 2007


On Tue, 2007-10-16 at 03:52 -0400, John Bailey wrote:
> Steven Backus wrote:
> > Anyone know where I can find these:
> > 
> > Error: Missing Dependency: libsilcclient-1.0.so.1 is needed by package libpurple
> > Error: Missing Dependency: libsilc-1.0.so.2 is needed by package libpurple
> > 
> > Thanks,
> >   Steve
> 
> RedHat have removed these packages from their RHEL distribution.  As our
> packager uses CentOS, a community-oriented "clone" that aims to be 100%
> compatible with RHEL, to build, this went unnoticed for some time.  CentOS still
> packages the SILC libraries.  You could install these libraries from a CentOS
> repository mirror.

This is not true, actually. Red Hat include SILC in the workstation
edition of RHEL5, just not in the server "channels" on RHN. I think you
might be able to add the workstation channel to get the SILC libraries,
or alternatively you can browse and download the "libsilc" package at
rhn.redhat.com.

Regards,


Stu.



More information about the Support mailing list